=== debian/changelog ===
rbdoom3bfg (1.0.3+repack1+git20150625-1build1) wily; urgency=medium

  * No-change rebuild against ffmpeg 2.7

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Tue, 01 Sep 2015 18:25:26 +0200

rbdoom3bfg (1.0.3+repack1+git20150625-1) unstable; urgency=medium

  * New uptream git snapshot.
  * Refreshing/Removing patches:
   - 10-lowercase-executeable.patch refreshed
   - 75-local-no-precompiled-header.patch removed, applied upstream
   - 80-disable-cpu-features.patch refreshed, almost applied upstream completly
   - 82-enable-hurd-kfreebsd.patch removed, applied upstream
  * Work towards reprdoucible builds
  * Fix get-orig-target to produce the right version string

 -- Tobias Frost <tobi@debian.org>  Sat, 11 Jul 2015 09:32:44 +0200

rbdoom3bfg (1.0.3+repack1-5) unstable; urgency=medium

  * Generalized & Forwarded patch 80-disable-cpu-features.patch
  * Modified d/rules to utilize this patch and enable mmx, sse and co on amd64
  * Refactor patch to disable precompiled headers  be upstreamable
  * Add --as-needed to linker flags
  * New patch: Try to compile on hurd and kfreebsd as well

 -- Tobias Frost <tobi@debian.org>  Sun, 21 Jun 2015 17:23:43 +0200

rbdoom3bfg (1.0.3+repack1-4) unstable; urgency=medium

  * Again, patch incomplete. Now also submitting the cpu information.

 -- Tobias Frost <tobi@debian.org>  Sat, 13 Jun 2015 15:48:59 +0200

rbdoom3bfg (1.0.3+repack1-3) unstable; urgency=medium

  * The patch to disable the CPU features was incomplete: We need also to undef
    the usage of intriniscs for all CPU'S except on amd64

 -- Tobias Frost <tobi@debian.org>  Sat, 13 Jun 2015 14:18:36 +0200

rbdoom3bfg (1.0.3+repack1-2) unstable; urgency=medium

  * Add patch to disable using CPU features like sse and mmx.
  * Rename local patch to free up the namespace a little bit.
  * Add the Debian Games Team to Uploaders in d/control

 -- Tobias Frost <tobi@debian.org>  Fri, 12 Jun 2015 18:17:07 +0200

rbdoom3bfg (1.0.3+repack1-1) unstable; urgency=medium

  * Initial release (Closes: #764200)

 -- Tobias Frost <tobi@debian.org>  Wed, 11 Mar 2015 12:52:36 +0100
