## rbdoom3bfg 1.0.3+repack1+git20151124

=== neo/CMakeLists.txt ===
--- 
+++ 
@@ -195,6 +195,10 @@
         ## Check for Version ##
         if( WINRT ) # Windows RT
                 add_definitions(-DUSE_WINRT)
+        endif()
+
+        if (USE_INTRINSICS)
+                add_definitions(-DUSE_INTRINSICS)
         endif()
 					
 	if(NOT CMAKE_CL_64)
@@ -364,7 +368,3 @@
 	# renderer/draw_nv20.cpp
 	# renderer/draw_r200.cpp
 	# renderer/tr_backend.cpp
-	# renderer/tr_deform.cpp
-	# renderer/tr_font.cpp
-	# renderer/tr_guisurf.cpp
-	# renderer/tr_light.cpp
