=== debian/changelog ===
rbdoom3bfg (1.0.3+repack1+git20151124-1) unstable; urgency=medium

  * New upstream git snapshot.
  * Fix FTBFS with libpng1.6 (Closes: #809866)

 -- Tobias Frost <tobi@debian.org>  Mon, 25 Jan 2016 21:53:13 +0100

rbdoom3bfg (1.0.3+repack1+git20151103-1) unstable; urgency=medium

  * New upstream git snapshot.
  * Fix "FTBFS with FFmpeg 2.9", using the patch from Andreas Cadhalpun
    (Closes: #803857)
  * Forwarded reproducible patch, noting that in the dep3 header

 -- Tobias Frost <tobi@debian.org>  Tue, 03 Nov 2015 21:39:01 +0100

rbdoom3bfg (1.0.3+repack1+git20150806-1) unstable; urgency=medium

  * New upstream git snapshot.
    - Remove patch 80-disable-cpu-features.patch -- applied upstream
    - Patches refreshed as required.
  * Fix git-get-orig rule: Did not pull the requested date, but always
    the newest version

 -- Tobias Frost <tobi@debian.org>  Sun, 13 Sep 2015 22:21:09 +0200
