=== debian/control ===
Source: rbdoom3bfg
Section: games
Priority: optional
Maintainer: Tobias Frost <tobi@debian.org>
Uploaders: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               libavcodec-dev | libavcodec-ffmpeg-dev,
               libavformat-dev | libavformat-ffmpeg-dev,
               libavutil-dev | libavutil-ffmpeg-dev,
               libglew-dev,
               libjpeg-dev,
               libopenal-dev,
               libpng12-dev,
               libsdl2-dev,
               libswscale-dev | libswscale-ffmpeg-dev,
               zlib1g-dev
Standards-Version: 3.9.6
Homepage: https://github.com/RobertBeckebans/RBDOOM-3-BFG
VCS-Browser: http://anonscm.debian.org/cgit/pkg-games/rbdoom3bfg.git
VCS-Git: git://anonscm.debian.org/pkg-games/rbdoom3bfg.git

Package: rbdoom3bfg
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Suggests: doom3bfg-data | game-data-packager (>= 40)
Description: Doom3 BFG edition game engine
 RBDoom3BFG 3 is a Doom 3 BFG GPL source modification. The goal of RBDoom3BFG 3
 is to bring Doom 3 BFG with the help of SDL to all suitable platforms. Bugs
 present in the original DOOM 3 will be fixed (when identified) without altering
 the original game-play.
 .
 Note, to play the original game, you'll need a copy of the game data.
 .
 The package can also be used with free map data, like the demomap from
 OpenTechBFG.
