=== debian/rules ===
--- 
+++ 
@@ -46,16 +46,16 @@
 ## from: https://wiki.debian.org/onlyjob/get-orig-source
 .PHONY: get-orig-source
 get-orig-source: $(PKG)_$(UPSVER)+git$(VER)$(DTYPE).orig.tar.xz
-	#$(info I: $(UPSVER$)~$(PKG)_$(VER)$(DTYPE))
+	#$(info I: $(UPSVER$)+$(PKG)_$(VER)$(DTYPE))
 	@
 
 UDATE = $(shell date --rfc-3339=seconds --date='TZ="UTC" \
-	$(shell echo +git$(VER) | perl -ne 'print "$$1-$$2-$$3" if m/\~(?:git|svn|hg)(\d{4})(\d{2})(\d{2})/')')
+	$(shell echo +git$(VER) | perl -ne 'print "$$1-$$2-$$3" if m/\+(?:git|svn|hg)(\d{4})(\d{2})(\d{2})/')')
 
 $(PKG)_$(UPSVER)+git$(VER)$(DTYPE).orig.tar.xz:
 	@echo DEBUG: VER=$(VER) UDATE=$(UDATE) UPSVER=$(UPSVER)
 	@echo "$(PKG)_$(UPSVER)+git$(VER)$(DTYPE).orig.tar.xz"
-	@echo $(VER) | grep '^[0-9]*$$' || ( echo Cannot find timestamp in package version. Please specify VER, see README.source. Aborting.. ; exit 1 )
+	@echo $(VER) | grep -q '^[0-9]*$$' || ( echo Cannot find timestamp in package version. Please specify VER, see README.source. Aborting.. ; exit 1 )
 	#$(info I: UDATE=$(UDATE))
 	$(if $(wildcard $(PKG)-$(UPSVER)+git$(VER)),$(error $(PKG)-$(UPSVER)+git$(VER) exist, aborting..))
 	@echo "# Downloading..."
@@ -69,7 +69,7 @@
 	&& echo "# Setting times..." \
 	&& for F in $$(git ls-tree -r --name-only HEAD); do touch --no-dereference -d "$$(git log -1 --format="%ai" -- $$F)" "$$F"; done \
 	&& echo "# Cleaning-up..." \
-	&& $(RM) -r -v $$(awk 'BEGIN{RS=ORS="\n\n";FS=OFS="\n"}/Files-Excluded:/' $(PKD)/copyright | sed s/Files-Excluded://) \
+	&& $(RM) -r -v $$(awk 'BEGIN{RS=ORS="\n\n";FS=OFS="\n"}/Files-Excluded:/' $(PKD)/copyright | sed -n -e '/^Files-Excluded:/,$${p}' | sed s/Files-Excluded://) \
 	&& $(RM) -r .git .git*
 	@echo "# Packing..."
 	find -L "$(PKG)-$(UPSVER)+git$(VER)" -xdev -type f -print | sort \
