=== debian/watch ===
version=3
# note, this watchfile should not be used to download new upstream versions --
# please use get-orig-source; refer to README.source.
# this files only purpose is to track new upstream tagged releases.
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/rbdoom3bfg-$1\.tar\.gz/,\
dversionmangle=s/\+git.*$//;s/\+repack.*$//,uversionmangle=s/-/~/,\
repacksuffix=+repack \
  https://github.com/RobertBeckebans/RBDOOM-3-BFG/tags .*/v?(\d\S*)\.tar\.gz
