## rbdoom3bfg 1.1.0~preview3+dfsg+git20160807

=== debian/changelog ===
rbdoom3bfg (1.1.0~preview3+dfsg+git20160807-2) unstable; urgency=medium

  * Disable HDR rendering by default as this can create some graphical
    glitches, especially when used together with SSAO. Done by patch
    70-disable-hdr-by-default.patch

 -- Tobias Frost <tobi@debian.org>  Sat, 15 Oct 2016 17:48:41 +0200

rbdoom3bfg (1.1.0~preview3+dfsg+git20160807-1) unstable; urgency=medium

  * New upstream git snapshot.
    - Refreshed patches to remove fuzz.
    - 70-ffmpeg_2.9.patch is obsolete, upstream fixed issue, so rm from series.
    - 20-reproducible.patch updated to remove one additional __DATE__.
    - Add new files to d/copyright,
      - neo/renderer/SMAA/*: licensed expat
      - neo/libs/irrxml/*: licensed libpng/zlib
    - Switch to dfsg suffix as files removed without source. (docs of rirrxml)
    - those files and rapidjson is removed via d/copyright's Files-Excluded.
  * New patch 90-system-rapidjson.patch to utilize Debian's rapidjson
  * Fix typo in d/README.source -- the var is UPSVER not USVER.
  * Bump S-V -- no changes
  * Change compat level to 10, "--parallel" in d/rules is now default and so
    was dropped.
  * Deleted (long ago) applied upstream patch 70-ffmpeg_2.9.patch
  * Renumbering patches to free up numberspace
  * New patch 60-fix-spelling-errors correcting the errors reported by lintian.
  * d/control Replace non VCS-* with https:// ones

 -- Tobias Frost <tobi@debian.org>  Sat, 15 Oct 2016 11:53:19 +0200

rbdoom3bfg (1.0.3+repack1+git20151124-2) unstable; urgency=medium

  * Mark libpng1.6 patch as forwarded.
  * Change B-D to libpng-dev.

 -- Tobias Frost <tobi@debian.org>  Mon, 28 Mar 2016 16:46:38 +0200
