=== debian/control ===
--- 
+++ 
@@ -4,21 +4,22 @@
 Maintainer: Tobias Frost <tobi@debian.org>
 Uploaders: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Build-Depends: cmake,
-               debhelper (>= 9),
+               debhelper (>= 10),
                libavcodec-dev | libavcodec-ffmpeg-dev,
                libavformat-dev | libavformat-ffmpeg-dev,
                libavutil-dev | libavutil-ffmpeg-dev,
                libglew-dev,
                libjpeg-dev,
                libopenal-dev,
-               libpng12-dev,
+               libpng-dev,
                libsdl2-dev,
                libswscale-dev | libswscale-ffmpeg-dev,
+               rapidjson-dev,
                zlib1g-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://github.com/RobertBeckebans/RBDOOM-3-BFG
-VCS-Browser: http://anonscm.debian.org/cgit/pkg-games/rbdoom3bfg.git
-VCS-Git: git://anonscm.debian.org/pkg-games/rbdoom3bfg.git
+VCS-Browser: https://anonscm.debian.org/cgit/pkg-games/rbdoom3bfg.git
+VCS-Git: https://anonscm.debian.org/git/pkg-games/rbdoom3bfg.git
 
 Package: rbdoom3bfg
 Architecture: any
