## rbdoom3bfg 1.1.0~preview3+dfsg+git20161019

=== neo/CMakeLists.txt ===
--- 
+++ 
@@ -26,6 +26,9 @@
 		
 option(WINRT
 		"Build for Windows RT" OFF)
+		
+option(WINDOWS10
+		"Build for Windows 10" OFF)
 		
 option(USE_SYSTEM_ZLIB
                 "Use the system zlib instead of the bundled one" OFF)
@@ -193,12 +196,12 @@
                                        #-DUSE_OPENAL
 					-DUSE_EXCEPTIONS)
         ## Check for Version ##
-        if( WINRT ) # Windows RT
-                add_definitions(-DUSE_WINRT)
+        if( WINRT OR WINDOWS10 ) # Windows RT
+			add_definitions(-DUSE_WINRT)
         endif()
 
         if (USE_INTRINSICS)
-                add_definitions(-DUSE_INTRINSICS)
+			add_definitions(-DUSE_INTRINSICS)
         endif()
 					
 	if(NOT CMAKE_CL_64)
@@ -285,86 +288,56 @@
 file(GLOB FRAMEWORK_ASYNC_SOURCES framework/async/*.cpp)
 
 file(GLOB RENDERER_INCLUDES renderer/*.h)
-	# renderer/AutoRender.h
-	# renderer/AutoRenderBink.h
-	# renderer/BinaryImage.h
-	# renderer/BinaryImageData.h
-	# renderer/BoundsTrack.h
-	# renderer/BufferObject.h
-	# renderer/Cinematic.h
-	# renderer/Font.h
-	# renderer/GLMatrix.h
-	# renderer/GLState.h
-	# renderer/GuiModel.h
-	# renderer/Image.h
-	# renderer/ImageOpts.h
-	# renderer/Interaction.h
-	# renderer/Material.h
-	# renderer/Model.h
-	# renderer/ModelDecal.h
-	# renderer/ModelManager.h
-	# renderer/ModelOverlay.h
-	# renderer/Model_ase.h
-	# #renderer/Model_ColladaHelper.h
-	# #renderer/Model_ColladaParser.h
-	# renderer/Model_local.h
-	# renderer/Model_lwo.h
-	# renderer/Model_ma.h
-	# renderer/Model_md3.h
-	# renderer/RenderLog.h
-	# renderer/RenderProgs.h
-	# renderer/RenderSystem.h
-	# renderer/RenderTexture.h
-	# renderer/RenderWorld.h
-	# renderer/RenderWorld_local.h
-	# renderer/ResolutionScale.h
-	# renderer/ScreenRect.h
-	# renderer/simplex.h
-	# renderer/tr_local.h
-	# renderer/VertexCache.h)
-
-
 file(GLOB RENDERER_SOURCES renderer/*.cpp)
-	# renderer/AutoRender.cpp
-	# renderer/Cinematic.cpp
-	# renderer/Framebuffer.cpp
-	# renderer/GLShader.cpp
-	# renderer/GuiModel.cpp
-	# renderer/Image_files.cpp
-	# renderer/Image_init.cpp
-	# renderer/Image_load.cpp
-	# renderer/Image_process.cpp
-	# renderer/Image_program.cpp
-	# renderer/Interaction.cpp
-	# renderer/Material.cpp
-	# renderer/Model.cpp
-	# renderer/ModelDecal.cpp
-	# renderer/ModelManager.cpp
-	# renderer/ModelOverlay.cpp
-	# renderer/Model_ase.cpp
-	# renderer/Model_beam.cpp
-	# #renderer/Model_ColladaParser.cpp
-	# renderer/Model_liquid.cpp
-	# renderer/Model_lwo.cpp
-	# renderer/Model_ma.cpp
-	# renderer/Model_md3.cpp
-	# renderer/Model_md5.cpp
-	# renderer/Model_prt.cpp
-	# renderer/Model_sprite.cpp
-	# renderer/RenderEntity.cpp
-	# renderer/RenderSystem.cpp
-	# renderer/RenderSystem_init.cpp
-	# renderer/RenderWorld.cpp
-	# renderer/RenderWorld_demo.cpp
-	# renderer/RenderWorld_load.cpp
-	# renderer/RenderWorld_portals.cpp
-	# renderer/VertexCache.cpp
-	# renderer/draw_arb.cpp
-	# renderer/draw_arb2.cpp
-	# renderer/draw_glsl.cpp
-	# renderer/draw_common.cpp
-	# renderer/draw_exp.cpp
-	# renderer/draw_nv10.cpp
-	# renderer/draw_nv20.cpp
-	# renderer/draw_r200.cpp
-	# renderer/tr_backend.cpp
+file(GLOB RENDERER_COLOR_INCLUDES renderer/Color/*.h)
+file(GLOB RENDERER_COLOR_SOURCES renderer/Color/*.cpp)
+file(GLOB RENDERER_DXT_INCLUDES renderer/DXT/*.h)
+file(GLOB RENDERER_DXT_SOURCES renderer/DXT/*.cpp)
+file(GLOB RENDERER_JOBS_INCLUDES renderer/jobs/*.h)
+file(GLOB RENDERER_JOBS_SOURCES renderer/jobs/*.cpp)
+file(GLOB RENDERER_JOBS_DYNAMICSHADOWVOLUME_INCLUDES renderer/jobs/dynamicshadowvolume/*.h)
+file(GLOB RENDERER_JOBS_DYNAMICSHADOWVOLUME_SOURCES renderer/jobs/dynamicshadowvolume/*.cpp)
+file(GLOB RENDERER_JOBS_PRELIGHTSHADOWVOLUME_INCLUDES renderer/jobs/prelightshadowvolume/*.h)
+file(GLOB RENDERER_JOBS_PRELIGHTSHADOWVOLUME_SOURCES renderer/jobs/prelightshadowvolume/*.cpp)
+file(GLOB RENDERER_JOBS_STATICSHADOWVOLUME_INCLUDES renderer/jobs/staticshadowvolume/*.h)
+file(GLOB RENDERER_JOBS_STATICSHADOWVOLUME_SOURCES renderer/jobs/staticshadowvolume/*.cpp)
+file(GLOB RENDERER_OPENGL_INCLUDES renderer/OpenGL/*.h)
+file(GLOB RENDERER_OPENGL_SOURCES renderer/OpenGL/*.cpp)
+file(GLOB RENDERER_SMAA_INCLUDES renderer/SMAA/*.h)
+
+file(GLOB IRRXML_INCLUDES libs/irrxml/src/*.h)
+file(GLOB IRRXML_SOURCES libs/irrxml/src/*.cpp)
+
+if (NOT JPEG_FOUND)
+    set(JPEG_INCLUDES
+        libs/jpeg-6/jchuff.h
+        libs/jpeg-6/jconfig.h
+        libs/jpeg-6/jdct.h
+        libs/jpeg-6/jdhuff.h
+        libs/jpeg-6/jerror.h
+        libs/jpeg-6/jinclude.h
+        libs/jpeg-6/jmemsys.h
+        libs/jpeg-6/jmorecfg.h
+        libs/jpeg-6/jpegint.h
+        libs/jpeg-6/jpeglib.h
+        libs/jpeg-6/jversion.h)
+
+    set(JPEG_SOURCES
+        libs/jpeg-6/jcapimin.cpp
+        libs/jpeg-6/jcapistd.cpp
+        libs/jpeg-6/jccoefct.cpp
+        libs/jpeg-6/jccolor.cpp
+        libs/jpeg-6/jcdctmgr.cpp
+        libs/jpeg-6/jchuff.cpp
+        libs/jpeg-6/jcinit.cpp
+        libs/jpeg-6/jcmainct.cpp
+        libs/jpeg-6/jcmarker.cpp
+        libs/jpeg-6/jcmaster.cpp
+        libs/jpeg-6/jcomapi.cpp
+        libs/jpeg-6/jcparam.cpp
+        libs/jpeg-6/jcphuff.cpp
+        libs/jpeg-6/jcprepct.cpp
+        libs/jpeg-6/jcsample.cpp
+        libs/jpeg-6/jctrans.cpp
+        libs/jpeg-6/jdapimin.cpp
+        libs/jpeg-6/jdapistd.cpp
