=== debian/changelog ===
rbdoom3bfg (1.1.0~preview3+dfsg+git20161019-1) unstable; urgency=medium

  * New upstream git snapshot.
  * Drop libavcodec-*-dev from B-D-alternatives; they are no longer availavble.
  * New patch 08-gcc70.patch to fix FTBFS with GCC 7 (Closes: #853638)
  * Update debian/copyright years

 -- Tobias Frost <tobi@debian.org>  Mon, 07 Aug 2017 01:08:39 -0400
