=== debian/control ===
--- 
+++ 
@@ -5,15 +5,15 @@
 Uploaders: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Build-Depends: cmake,
                debhelper (>= 10),
-               libavcodec-dev | libavcodec-ffmpeg-dev,
-               libavformat-dev | libavformat-ffmpeg-dev,
-               libavutil-dev | libavutil-ffmpeg-dev,
+               libavcodec-dev,
+               libavformat-dev,
+               libavutil-dev,
                libglew-dev,
                libjpeg-dev,
                libopenal-dev,
                libpng-dev,
                libsdl2-dev,
-               libswscale-dev | libswscale-ffmpeg-dev,
+               libswscale-dev,
                rapidjson-dev,
                zlib1g-dev
 Standards-Version: 3.9.8
