=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,8 @@
 # output every command that modifies files on the build system.
 #DH_VERBOSE = 1
 
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 DEB_BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
@@ -13,7 +15,7 @@
 endif
 
 %:
-	dh $@ --sourcedirectory=neo --parallel
+	dh $@ --sourcedirectory=neo
 
 # debmake generated override targets
 # This is example for Cmake (See http://bugs.debian.org/641051 )
@@ -22,6 +24,7 @@
 	 -DSDL2=ON -DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH) \
 	 -DUSE_SYSTEM_ZLIB=ON -DUSE_SYSTEM_LIBPNG=ON \
 	 -DUSE_SYSTEM_LIBJPEG=ON -DUSE_SYSTEM_LIBGLEW=ON \
+         -DUSE_SYSTEM_RAPIDJSON=ON \
 	 -DCPU_TYPE=$(DEB_BUILD_ARCH_CPU) \
 	 -DUSE_PRECOMPILED_HEADERS=OFF \
 	 -DCPU_OPTIMIZATION="" \
@@ -40,7 +43,7 @@
 PKD   = $(abspath $(dir $(MAKEFILE_LIST)))
 PKG   = $(word 2,$(shell dpkg-parsechangelog -l$(PKD)/changelog | grep ^Source))
 VER  ?= $(shell dpkg-parsechangelog -l$(PKD)/changelog  -SVersion | sed -e s/^.*git// | cut -d- -f1 )
-DTYPE = +repack1
+DTYPE = +dfsg
 UPSVER ?= $(shell dpkg-parsechangelog -l$(PKD)/changelog -SVersion | cut -d+ -f1)
 
 ## from: https://wiki.debian.org/onlyjob/get-orig-source
