## rbdoom3bfg 1.2.0+dfsg~git20180605

=== debian/changelog ===
rbdoom3bfg (1.2.0+dfsg~git20180605-1) unstable; urgency=medium

  * Imported new upstream git snapshot.
  * Change to version 4 watch file to directly track the upstream git repo.
    This also makes the get-orig-source target in d/rules obsolete.
  * Prepare the watchfile for version 1.2 already, as upstream bumped version
    to 1.2 (but not yet officially released)
  * Add patch for the FTBFS with gcc 8.1 (Closes: ##906558)

 -- Tobias Frost <tobi@debian.org>  Mon, 20 Aug 2018 19:44:17 +0200

rbdoom3bfg (1.1.0~preview3+dfsg+git20180204-1) unstable; urgency=medium

  * New upstreamgit snapshot.
  * Move repository to salsa.d.o.
  * Update d/copyright (new holders, years)
  * Update patch 80-gcc7.fix -- partially applied upstream.
  * Refreshed patch 60-spelling-errors.patch.
  * Fix spelling in 10-lowercase-executable.patch.
  * Add dep3 header to 80-gcc70.patch.
  * Fix spelling error in README.Debian.
  * Update 60-spelling-errors.patch with new finding from lintian.
  * Bump compat to level 11
  * Bump S-V to 4.1.4:
    - copyright format URI changed to https.

 -- Tobias Frost <tobi@debian.org>  Fri, 06 Apr 2018 20:20:14 +0200
