=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Tobias Frost <tobi@debian.org>
 Uploaders: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Build-Depends: cmake,
-               debhelper (>= 10),
+               debhelper (>= 11),
                libavcodec-dev,
                libavformat-dev,
                libavutil-dev,
@@ -16,10 +16,10 @@
                libswscale-dev,
                rapidjson-dev,
                zlib1g-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.1.4
 Homepage: https://github.com/RobertBeckebans/RBDOOM-3-BFG
-VCS-Browser: https://anonscm.debian.org/cgit/pkg-games/rbdoom3bfg.git
-VCS-Git: https://anonscm.debian.org/git/pkg-games/rbdoom3bfg.git
+VCS-Browser: https://salsa.debian.org/games-team/rbdoom3bfg
+VCS-Git: https://salsa.debian.org/games-team/rbdoom3bfg.git
 
 Package: rbdoom3bfg
 Architecture: any
