=== debian/changelog ===
rbdoom3bfg (1.2.0+dfsg~git20181013-1) unstable; urgency=medium

  * New upstream git snaphot.
    - Removing applied patches: 50-system-rapidjson and 90-gcc-fix.
    - Refresh patch 10-lowercase-executable.
  * Bump SV to 4.3.0 -- no changes required

 -- Tobias Frost <tobi@debian.org>  Sun, 30 Dec 2018 01:40:24 +0100
