=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                libswscale-dev,
                rapidjson-dev,
                zlib1g-dev
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Homepage: https://github.com/RobertBeckebans/RBDOOM-3-BFG
 VCS-Browser: https://salsa.debian.org/games-team/rbdoom3bfg
 VCS-Git: https://salsa.debian.org/games-team/rbdoom3bfg.git
