=== debian/watch ===
version=4
opts="mode=git, pgpmode=none, pretty=1.2.0+dfsg~git%cd, dversionmangle=s/\+dfsg\d*$//" \
https://github.com/RobertBeckebans/RBDOOM-3-BFG.git \
HEAD debian uupdate
